declare const _sfc_main: import("vue").DefineComponent<{}, {
    variableList: import("vue").ComputedRef<any>;
    onAddVariable: () => void;
    onUpdateItem: (data: {
        [key: string]: any;
    }, index: number) => void;
    onDeleteItem: (index: number) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _sfc_main;
